View Issue Details

IDProjectCategoryView StatusLast Update
0030085LazarusIDEpublic2017-08-03 16:57
ReporterGraeme GeldenhuysAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionreopened 
Platformx86_64OSFreeBSDOS Version10.1
Product Version1.7 (SVN)Product Build 
Target VersionFixed in Version 
Summary0030085: Source Editor font size - Pixels vs Point size
DescriptionI remember years back you could specify the editor font as a
positive value (point size) and a negative value (pixel size). This
doesn't seem possible with v1.7 any more. Martin Frb said it should still work,
and that I must report it here.

I'm using Lazarus 1.7 r51695 FPC 2.6.4 x86_64-linux-gtk 2 and my X11 is
forced to 96 dpi.
TagsNo tags attached.
Fixed in Revision52408
LazTarget-
Widgetset
Attached Files

Relationships

related to 0017694 resolvedMartin Friebe Changing font size problem 

Activities

Martin Friebe

2016-05-30 05:23

manager   ~0092892

I believe the behaviour was last changed due to 0017694

It was decided then to enforce only positive sizes. But for compatibility it was necessary to keep and allow negative, if the users config had a negative number. Once the user made changes to positive there was no way back.
Well actually if the font selection dialog allowed (maybe OS specific?) to enter a negative number, then that would work.

It is still a good idea to generally encourage the use of only one font size specification and keep numbers positive.
Therefore the up/down arrows will not go over there range.

I did add however that you can enter the - sign into the text field, and that should now work.

--
Please test and close if ok

Graeme Geldenhuys

2016-10-17 10:58

reporter   ~0095196

Unless I misunderstood what you changed, but I still can't enter a negative value in the IDE's "Editor -> Display -> Editor font size" edit box.

As for the "Select Font" dialog, I can enter a negative value in the Font Size edit box, though the font size Listbox (I think that is what it is), but as soon as I tab out of the Font Size edit box (so the preview area can update), it reverts to the first selection in the font size listbox (the value 6 in my case).

Also in the "Select Font" dialog, if I enter -10 as the font size, and then simply click OK to close the dialog, the IDE "Editor -> Display -> Editor font size" edit box doesn't update.

Graeme Geldenhuys

2016-10-17 10:58

reporter   ~0095197

I tested with Lazarus 1.7 r53133 FPC 2.6.4 x86_64-freebsd-gtk 2

Issue History

Date Modified Username Field Change
2016-05-02 09:58 Graeme Geldenhuys New Issue
2016-05-02 15:37 Martin Friebe Assigned To => Martin Friebe
2016-05-02 15:37 Martin Friebe Status new => assigned
2016-05-30 05:21 Martin Friebe Relationship added related to 0017694
2016-05-30 05:23 Martin Friebe Fixed in Revision => 52408
2016-05-30 05:23 Martin Friebe LazTarget => -
2016-05-30 05:23 Martin Friebe Note Added: 0092892
2016-05-30 05:23 Martin Friebe Status assigned => resolved
2016-05-30 05:23 Martin Friebe Fixed in Version => 1.7 (SVN)
2016-05-30 05:23 Martin Friebe Resolution open => fixed
2016-05-30 05:23 Martin Friebe Target Version => 1.8
2016-10-17 10:58 Graeme Geldenhuys Note Added: 0095196
2016-10-17 10:58 Graeme Geldenhuys Note Added: 0095197
2016-10-17 10:58 Graeme Geldenhuys Status resolved => assigned
2016-10-17 10:58 Graeme Geldenhuys Resolution fixed => reopened
2017-08-03 16:57 Martin Friebe Fixed in Version 1.7 (SVN) =>
2017-08-03 16:57 Martin Friebe Target Version 1.8 =>